#
# spec file for package perl-Parse-CPAN-Authors
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           perl-Parse-CPAN-Authors
Version:        2.27
Release:        1.1
%define cpan_name Parse-CPAN-Authors
Summary:        Parse 01mailrc.txt.gz
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Parse-CPAN-Authors/
Source:         http://www.cpan.org/authors/id/L/LB/LBROCARD/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Class::Accessor::Fast)
BuildRequires:  perl(IO::Zlib)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::Exception)
#BuildRequires: perl(Gtk2)
#BuildRequires: perl(Gtk2::GladeXML)
#BuildRequires: perl(Gtk2::SimpleList)
#BuildRequires: perl(Parse::CPAN::Authors)
#BuildRequires: perl(Parse::CPAN::Authors::Author)
Requires:       perl(Class::Accessor::Fast)
Requires:       perl(IO::Zlib)
Requires:       perl(Test::Exception)
%{perl_requires}

%description
The Comprehensive Perl Archive Network (CPAN) is a very useful collection
of Perl code. It has several indices of the files that it hosts, including
a file named "01mailrc.txt.gz" in the "authors" directory. This file
contains lots of useful information on CPAN authors and this module
provides a simple interface to the data contained within.

Note that this module does not concern itself with downloading this file.
You should do this yourself.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc CHANGES examples README

%changelog
* Mon Dec 12 2011 coolo@suse.com
- initial package 2.27
  * created by cpanspec 1.78.06
